Bug 845492 - gpg-agent isn't started automatically with KDE anymore
gpg-agent isn't started automatically with KDE anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 04:47 EDT by Gerd v. Egidy
Modified: 2013-11-12 20:59 EST (History)
13 users (show)

See Also:
Fixed In Version: kde-settings-20-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-12 20:59:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerd v. Egidy 2012-08-03 04:47:46 EDT
Description of problem:

I used Fedora 15 with KDE before switching to Fedora 17. In F15 there was /etc/kde/env/gpg-agent-startup.sh and /etc/kde/shutdown/gpg-agent-shutdown.sh who took care of starting the gpg-agent with the session.

These scripts where removed with https://fedorahosted.org/kde-settings/changeset/308/trunk with the comment that the agent should start on demand now. That doesn't work:

I have KGpg set to autostart with the session and use the gpg-agent. KGpg now gives this message on startup:

The use of GnuPG Agent is enabled in GnuPG's configuration file. However, the agent does not seem to be running. This could result in problems with signing/decryption. Please disable GnuPG Agent form KGpg settings or fix the agent.

When trying to sign something on the commandline with gpg, no agent is started "on demand" either to store my passphrase (checked with ps and by trying to decrypt the same file shortly afterwards).


Version-Release number of selected component (if applicable):

gnupg-1.4.12-1.fc17.x86_64
gnupg2-2.0.18-3.fc17.x86_64
kde-settings-4.8-16.fc17.noarch
kgpg-4.8.4-1.fc17.x86_64

How reproducible:

always

Steps to Reproduce:
1. login into X with a KDE session
2. gpg -o - some.file.gpg
3. enter the passphrase of your gpg key
4. gpg -o - some.file.gpg
  
Actual results:
you are asked for the passphrase again

Expected results:
the gpg-agent should supply the passphrase
Comment 1 Gerd v. Egidy 2012-08-03 04:54:54 EDT
just an additional note:

copying the gpg-agent-startup.sh and gpg-agent-shutdown.sh files from F15 fixed the problem. The agent starts with the session, passphrase entry is moved to qtpinentry (was gpg on the commandline without agent) and the agent stores the key as configured.
Comment 2 Rex Dieter 2012-08-03 10:04:11 EDT
it's kmail/kontact that now starts gpg-agent on demand.  kmail was the primary reason we'd autostart'd gpg-agent in the past.
Comment 3 Gerd v. Egidy 2012-08-03 11:29:06 EDT
> it's kmail/kontact that now starts gpg-agent on demand.  kmail was the primary 
> reason we'd autostart'd gpg-agent in the past.

But what if I autostart KGpg, but not Kontact? Or use Thunderbird instead (I know that is heresy ;-) but somebody may prefer it).

Do all shells and other programs really inherit the neccessary environment variables etc. when gpg-agent is started by kmail/kontact?
Comment 4 Mace Moneta 2012-09-30 16:39:21 EDT
I came across this because dolphin also assumes the agent is running for file right-click=>Actions.  Installing the /etc/kde/env/gpg-agent-startup.sh and /etc/kde/shutdown/gpg-agent-shutdown.sh from the link in the original description restored the functionality.
Comment 5 Hakan Duran 2012-10-22 14:41:33 EDT
My problem is slightly different. I get the same error message almost every time KDE starts: "The use of GnuPG Agent is enabled in GnuPG's configuration file (/home/hako/.gnupg/gpg.conf). However, the agent does not seem to be running. This could result in problems with signing/decryption. Please disable GnuPG Agent from KGpg settings, or fix the agent."

However, in my case, gpg-agent is listed with ps, and actively running. When I use it either with CLI of Kontact, it works. So, why do I still get the annoying Kgpg error message almost every time KDE starts?
Comment 6 Fedora End Of Life 2013-07-03 22:48:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Ralf Hansen 2013-07-30 03:59:22 EDT
This is still a problem with F18 at least. I've found this with KGpg, too.

* gnupg2-2.0.19-7.fc18.x86_64
* kgpg-4.10.5-1.fc18.x86_64
Comment 8 Fedora End Of Life 2013-08-01 05:26:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 David Sommerseth 2013-09-12 04:22:41 EDT
This is still an issue in Fedora 19.  If kgpg is enabled at start-up, there's no running gpg-agent.
Comment 10 David Sommerseth 2013-09-12 04:32:29 EDT
Just tested using the removed gpg-agent-startup.sh from /etc/kde/env mentioned in comment #0.  That seems to work well.  I have not tested with Kmail.
Comment 11 Fedora Update System 2013-11-07 15:23:50 EST
kde-settings-19-25.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-settings-19-25.fc19
Comment 12 Fedora Update System 2013-11-08 07:59:40 EST
kde-settings-20-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-settings-20-6.fc20
Comment 13 Fedora Update System 2013-11-08 13:39:47 EST
Package kde-settings-20-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-20-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20946/kde-settings-20-6.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-10 21:35:44 EST
kde-settings-19-26.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-12 20:59:51 EST
kde-settings-20-7.fc20, heisenbug-kde-theme-19.90.5-1.fc20, sddm-0.2.0-0.16.20130914git50ca5b20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.